.postIchiran-h2 {
    font-size: 1.5rem;
}


.singlePaginationErea {
    text-align: center;
}

/* 投稿に画像がある場合、画面の高さ70%になるように対応 */
.wp-block-image img {
    box-sizing: border-box;
    max-width: 100%;
    vertical-align: bottom;
    height: 70%;
    width: fit-content;
    object-fit: contain;
    filter: drop-shadow(5px 5px 5px #aaa);
}


/* =======================================================

        お知らせ

======================================================= */

.news-list {
    list-style: none;
    padding: 0;
}

.news-item {
    padding: 15px 0;
    border-bottom: 1px solid #ddd;
}

.news-date {
    margin-right: 15px;
    color: #666;
}

.news-category {
    background: #eee;
    padding: 2px 8px;
    font-size: 0.8em;
    margin-right: 15px;
    border-radius: 3px;
}

.news-title {
    text-decoration: none;
    color: #333;
    margin-top: 16px;
    font-size: 1.25rem;
}

.news-title:hover {
    text-decoration: underline;
}


/* =======================================================

        オンデマンド

======================================================= */
.ondemand-posts {
    padding: 32px 20px;
    max-width: 1000px;
}

.ondemand-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    /* 中央寄せ */
    gap: 40px;
    /* 隣との距離 */
    max-width: 1000px;
    /* (300*3 + 40*2) 近辺で調整 */
    margin: 0 auto;
}

.ondemand-item {
    width: 300px;
    /* 幅固定 */
}

.ondemand-item img {
    display: block;
    width: 100%;
    height: auto;
    /* 高さは可変 */
}





/* =======================================================

    共通

=======================================================  */

.sub-category-nav ul {
    display: flex;
    padding-left: 0px;
    flex-wrap: wrap;
}

.sub-category-nav ul li a {
    padding: 8px 16px;
    background-color: #ddd;
    border-radius: 20px;
    margin: 0 8px;
    font-size: 0.8rem;
}

/* レスポンシブ */
@media (max-width: 768px) {
    .ondemand-grid {
        justify-content: center;
    }

    .sub-category-nav ul li a {
        margin: 4px 8px;
    }

}